Bug 222646 - Flash Player causes firefox to hang/crash
Flash Player causes firefox to hang/crash
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: flash-plugin (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
: Reopened
Depends On:
Blocks: flash_el4
  Show dependency treegraph
Reported: 2007-01-15 09:39 EST by Roozbeh Pournader
Modified: 2009-06-15 07:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-25 09:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2007-01-15 09:39:30 EST
Description of problem:
When I visit the following URL, firefox hangs on me:

Some text is displayed before hanging, so I assume it's the images or something.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Visit the mentioned URL, like by clicking on it above.
Actual results:
Firefox displays some texts but stops responding after a while.

Expected results:
Proper rendering, or errors in case there are ones.

Additional info:
Epiphany also hangs on me on that page, but not lynx.
Comment 1 Martin Stransky 2007-04-12 11:00:32 EDT
wow, this page crashes fx completely on my box.
Comment 2 Martin Stransky 2007-04-12 11:10:13 EDT
#0  0x0088b402 in __kernel_vsyscall ()
#1  0x00af3d40 in raise () from /lib/libc.so.6
#2  0x00af5591 in abort () from /lib/libc.so.6
#3  0x00b2933b in __libc_message () from /lib/libc.so.6
#4  0x00b3109d in _int_free () from /lib/libc.so.6
#5  0x00b346f0 in free () from /lib/libc.so.6
#6  0x05dccef1 in operator delete () from /usr/lib/libstdc++.so.6
#7  0x05dccf4d in operator delete[] () from /usr/lib/libstdc++.so.6
#8  0x0274ae19 in RichEdit::Insert () from
#9  0x02749c8a in RichEdit::SetBuffer () from
#10 0x027f2db7 in TextFieldDispatchProc () from
#11 0x027c774b in CorePlayer::DoCallFunction () from
#12 0x027ae84e in ScriptObject::SetSlot () from
#13 0x02781e8e in CorePlayer::ActionSetMember () from
#14 0x0278675d in CorePlayer::DoActions () from
#15 0x027abd69 in ScriptPlayer::PushDataComplete () from
#16 0x027a7d14 in ScriptPlayer::PushImageData () from
#17 0x027ce63a in CorePlayer::UrlStreamWriteNotify () from
#18 0x027ce60b in CorePlayer::UrlStreamWrite () from
#19 0x027e0512 in URLStream::StreamWrite () from
#20 0x0284aae9 in NPP_Write () from /home/komat/.mozilla/plugins/libflashplayer.so
#21 0x0284862c in Private_Write () from
#22 0x0269493f in ns4xPluginStreamListener::OnDataAvailable (this=0xb488ce40,
pluginInfo=0x93dc168, input=0xb46057f0, 
    length=0) at ns4xPluginInstance.cpp:550
#23 0x0269ec06 in nsPluginStreamListenerPeer::OnDataAvailable (this=0x93dbf98,
request=0x9446c8c, aContext=0x0, 
    aIStream=0xb46057f0, sourceOffset=65536, aLength=22511) at
#24 0x006d97b7 in nsStreamListenerTee::OnDataAvailable (this=0xb48c8f98,
request=0x9446c8c, context=0x0, input=0x93d7e20, 
    offset=65536, count=22511) at nsStreamListenerTee.cpp:97
#25 0x00737823 in nsHttpChannel::OnDataAvailable (this=0x9446c60,
request=0x93d83b0, ctxt=0x0, input=0x93d7e20, 
    offset=65536, count=22511) at nsHttpChannel.cpp:4166
#26 0x006beee0 in nsInputStreamPump::OnStateTransfer (this=0x93d83b0) at
#27 0x006bf024 in nsInputStreamPump::OnInputStreamReady (this=0x93d83b0,
stream=0x93d7e20) at nsInputStreamPump.cpp:340
#28 0x0023d5ed in nsInputStreamReadyEvent::EventHandler (plevent=0xb48a58d4) at
#29 0x00250c61 in PL_HandleEvent (self=0xb48a58d4) at plevent.c:688
#30 0x00250eea in PL_ProcessPendingEvents (self=0x8ce9d90) at plevent.c:623
#31 0x00252717 in nsEventQueueImpl::ProcessPendingEvents (this=0x8cf3f90) at
#32 0x004d8bca in event_processor_callback (source=0x904e2a8, condition=G_IO_IN,
data=0x6) at nsAppShell.cpp:67
#33 0x0034cbad in g_io_channel_unix_get_fd () from /lib/libglib-2.0.so.0
#34 0x00323442 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#35 0x0032641f in g_main_context_check () from /lib/libglib-2.0.so.0

It's a problem in flash. So report it please there, we can't fix it.
Comment 3 Jonathan Peatfield 2008-04-03 21:45:34 EDT
I've no idea if the contents of that page have changed, but it doesn't crash for me.

I'm testing using firefox- (plus your stability patches - and one
more so it is one I built myself) running with flash 9.0.r115 on i386 -- it also
has a few other plugins but presumably those won't make it any *more* stable...

Of course the flash plugin 9.0.115 will soon be obsolete, at least if
http://www.adobe.com/support/security/advisories/apsa07-06.html is to be
believed: "The update to Flash Player coming out in early 2008 will

I'm looking forward to the nspluginwrapper stuff you mention in #433823 

Previously I had thought that was just for runnign 32-bit plugins on x86_64 etc,
but I see in the changes section of their site that you have made it do far more...

 -- Jon

Note You need to log in before you can comment on or make changes to this bug.